import { Component, h, Prop } from '@stencil/core';
import { StorageAbdullakhBot } from "../../utils/utils";
export class CntFlexyViewAbdullakhUniversalFooter {
    /**
     * присваивание переданного пути общей переменной для вызова в любом месте
     * */
    componentWillLoad() {
        StorageAbdullakhBot.prefix = this.pathToAssets;
    }
    render() {
        return (h("cnt-flexy-view-abdullakh-universal-footer_", { footerIcons: this.categories }));
    }
    static get is() { return "cnt-flexy-view-abdullakh-universal-footer-1_01"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-universal-footer.css"]
    }; }
    static get styleUrls() { return {
        "$": ["cnt-flexy-view-abdullakh-universal-footer.css"]
    }; }
    static get properties() { return {
        "categories": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043F\u0440\u0438\u043D\u044F\u0442\u044B\u0435 \u0434\u0430\u043D\u043D\u044B\u0435 \u0434\u043B\u044F \u0432\u044B\u0432\u043E\u0434\u0430 \u0432 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0435 \u0444\u0443\u0442\u0435\u0440"
            },
            "attribute": "categories",
            "reflect": false
        },
        "pathToAssets": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043F\u0440\u0435\u0444\u0438\u043A\u0441 \u043F\u0443\u0442\u044C \u043A \u043A\u0430\u0440\u0442\u0438\u043D\u043A\u0430\u043C"
            },
            "attribute": "path-to-assets",
            "reflect": false
        }
    }; }
}
